%global momorel 2

Summary: A C++ interface for the libglade
Name: libglademm
Version: 2.6.6
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://gtkmm.sourceforge.net/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.6/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: glibmm-devel >= 2.14.1
BuildPrereq: gtkmm-devel >= 2.12.1
BuildPrereq: libglade2-devel >= 2.6.2

%description
This package provides a C++ interface for libglade GUI
library.

%package devel
Summary: Headers for developing programs that will use libglademm.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibmm-devel
Requires: gtkmm-devel
Requires: libglade2-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libglademm, the C++ interface to the libglade
library.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libglademm-2.4.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/libglademm-2.4
%{_libdir}/libglademm-2.4.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libglademm-2.4
%{_datadir}/doc/gnomemm-2.6/libglademm-2.4
%{_datadir}/devhelp/books/libglademm-2.4/libglademm-2.4.devhelp

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.6-2m)
- rebuild against gcc43

* Mon Feb 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.6-1m)
- update to 2.6.6

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.5-1m)
- update to 2.6.5

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.4-1m)
- update to 2.6.4

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.3-1m)
- update to 2.6.3

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.2-2m)
- merge from OBSOLETE

* Tue Jun  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.2-1m)
- initial build (no tumori datta)

* Fri Apr 23 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.0-1m)
- version 2.4.0

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.2-1m)
- version 2.1.2

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-2m)
- rebuild against for XFree86-4.3.0

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Mon Jan 06 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Mon Dec 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.5-2m)
- just rebuild for gtkmm

* Thu Nov 14 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.5-1m)
- version 1.3.5

* Thu Aug 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.4-1m)
- version 1.3.4

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-2m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.3-1m)
- create
